"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class GeneDrugInteraction(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_2 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.GeneDrugInteraction": opencb_2_9_3.GeneDrugInteraction,
        }

    __slots__ = [
        "chemblId",
        "drugName",
        "geneName",
        "interactionType",
        "publications",
        "source",
        "studyType",
        "type",
    ]

    def __init__(
        self,
        chemblId=None,
        drugName=None,
        geneName=None,
        interactionType=None,
        publications=None,
        source=None,
        studyType=None,
        type=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.GeneDrugInteraction model.

        :param chemblId:
        :type chemblId: None | str
        :param drugName:
        :type drugName: None | str
        :param geneName:
        :type geneName: None | str
        :param interactionType:
        :type interactionType: None | str
        :param publications:
        :type publications: None | list[str]
        :param source:
        :type source: None | str
        :param studyType:
        :type studyType: None | str
        :param type:
        :type type: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
